package eu.mhsl.craftattack.spawn.api.client.repositories;

import eu.mhsl.craftattack.spawn.api.client.HttpRepository;
import org.apache.http.client.utils.URIBuilder;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.UUID;

public class ReportRepository extends HttpRepository {
    public ReportRepository() throws URISyntaxException {
        super(new URI("asdasdas"));
    }

    public record SendReportResponse(UUID user) {}
    public record ReportInput(UUID user) {}

    public RequestResponse<SendReportResponse> sendReport(ReportInput input) {
        return this.post("reports", (builder) -> builder.addParameter("token", "asd"), input, SendReportResponse.class);
    }
}
